package com.jz.dmp.modules.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 实时同步任务已选择的表信息(DmpRealtimeSyncSelectTable)实体类
 *
 * @author Bellamy
 * @since 2021-01-11 13:06:53
 */
@ApiModel(value = "实时同步任务已选择的表信息", description = "实时同步任务已选择的表信息")
public class DmpRealtimeSyncSelectTable implements Serializable {
    private static final long serialVersionUID = -87562703941786967L;
    /**
     * selectTableId
     */
    @ApiModelProperty(value = "selectTableId")
    private Long selectTableId;
    /**
     * 实时任务id
     */
    @ApiModelProperty(value = "实时任务id")
    private Long realtimeId;
    /**
     * 脱敏字段
     */
    @ApiModelProperty(value = "脱敏字段")
    private String desensitizationField;
    /**
     * 加密算法
     */
    @ApiModelProperty(value = "加密算法")
    private String arithmetic;
    /**
     * 主键名称
     */
    @ApiModelProperty(value = "主键名称")
    private String pkName;
    /**
     * 源数据表名称
     */
    @ApiModelProperty(value = "源数据表名称")
    private String srcTableName;
    /**
     * 目标数据表名称
     */
    @ApiModelProperty(value = "目标数据表名称")
    private String targetTableName;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String crePerson;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date creTime;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date uptTime;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String uptPerson;


    public Long getSelectTableId() {
        return selectTableId;
    }

    public void setSelectTableId(Long selectTableId) {
        this.selectTableId = selectTableId;
    }

    public Long getRealtimeId() {
        return realtimeId;
    }

    public void setRealtimeId(Long realtimeId) {
        this.realtimeId = realtimeId;
    }

    public String getDesensitizationField() {
        return desensitizationField;
    }

    public void setDesensitizationField(String desensitizationField) {
        this.desensitizationField = desensitizationField;
    }

    public String getArithmetic() {
        return arithmetic;
    }

    public void setArithmetic(String arithmetic) {
        this.arithmetic = arithmetic;
    }

    public String getPkName() {
        return pkName;
    }

    public void setPkName(String pkName) {
        this.pkName = pkName;
    }

    public String getSrcTableName() {
        return srcTableName;
    }

    public void setSrcTableName(String srcTableName) {
        this.srcTableName = srcTableName;
    }

    public String getTargetTableName() {
        return targetTableName;
    }

    public void setTargetTableName(String targetTableName) {
        this.targetTableName = targetTableName;
    }

    public String getCrePerson() {
        return crePerson;
    }

    public void setCrePerson(String crePerson) {
        this.crePerson = crePerson;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public Date getUptTime() {
        return uptTime;
    }

    public void setUptTime(Date uptTime) {
        this.uptTime = uptTime;
    }

    public String getUptPerson() {
        return uptPerson;
    }

    public void setUptPerson(String uptPerson) {
        this.uptPerson = uptPerson;
    }

}